SDL_floorf(3)

NAME
SDL_floorf - Compute the floor of x.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

float SDL_floorf(float x);

DESCRIPTION
The floor of x is the largest integer y such that y <= x, i.e x rounded down to the nearest integer.

Domain: -INF <= x <= INF

Range: -INF <= y <= INF, y integer

This function operates on single-precision floating point values, use SDL_floor for double-precision floats.

FUNCTION PARAMETERS

x   floating point value.

RETURN VALUE
Returns the floor of x.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_floor(3), SDL_ceilf(3), SDL_truncf(3), SDL_roundf(3), SDL_lroundf(3)